it-swarm.com.de

Modul nicht gefunden: 'material-ui/AutoComplete' kann nicht aufgelöst werden

Ich habe material-ui-search-bar installiert und möchte dann SearchBar verwenden. Aber ich habe das nächste Problem:

./node_modules/material-ui-search-bar/lib/components/SearchBar/SearchBar.js
Module not found: Can't resolve 'material-ui/AutoComplete' in '...node_modules/material-ui-search-bar/lib/components/SearchBar'

Wie kann ich es reparieren?

3
Just Snake

Dies kann mehrere Ursachen haben.

1) Sie verwenden die Beta-Version von v1.0, die Material-ui startet, und die Änderungen hat sich geändert. Versuchen Sie, zur stabilen Version zu wechseln. Wenn Sie die neueste Betaversion verwenden möchten, verwenden Sie Siehe unten stehender Link: https://material-ui-next.com/demos/autocomplete/material-ui AutoComplete

2) Versuchen Sie wie folgt zu importieren:

import AutoComplete from 'material-ui/AutoComplete';

oder

import { AutoComplete } from 'material-ui/AutoComplete';

Da der Port für die @next-Version weiterläuft, werden die Module umstrukturiert und daher brechen nur wenige Komponenten.

3
blackspacer

Installieren Sie material-ui mit diesem Befehl:

npm install [email protected]

Dies ist ein schönes Beispiel für Ihr Problem.

import Tab from '@material-ui/core/Tab'
0
yarn add material-ui-icons

Versuchen Sie es im Projektverzeichnis